// TcontrolSlide.cpp
#include "TControlSlide.h"


TControlSlide::TControlSlide(BRect frame, const char *name, BTextControl *target,
         long min, long max, orientation posture, long factor)
	: BScrollBar(frame,name, NULL, min, max, posture)
{
	mControl = target;
	if ( factor == 0)
		mFactor = 1;
	else
		mFactor = factor;
		
	ValueChanged(0);
}
	
void 
TControlSlide::ValueChanged(long inValue)
{
	if (mControl != NULL)
	{
		char	theString[64];
		sprintf(theString,"%f", (float)inValue/mFactor);
		mControl ->SetText(theString);
	}
}
